From 48e0db4d09f09cb57c70faeddfcf46594c0f0d98 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Tue, 2 May 2023 08:55:50 +0200
Subject: [PATCH 2/2] doc: New glossary entry "Log sequence number"

"LSN" was already listed in the Acronyms appendix, but it is more
suitable as a glossary entry, so move it there and have the acronyms
entry link into the glossary.
---
 doc/src/sgml/acronyms.sgml         |  3 +--
 doc/src/sgml/glossary.sgml         | 22 ++++++++++++++++++++++
 doc/src/sgml/stylesheet-common.xsl |  1 +
 3 files changed, 24 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/acronyms.sgml b/doc/src/sgml/acronyms.sgml
index a60ff54a6c..22e0dc5c70 100644
--- a/doc/src/sgml/acronyms.sgml
+++ b/doc/src/sgml/acronyms.sgml
@@ -402,8 +402,7 @@ <title>Acronyms</title>
     <term><acronym>LSN</acronym></term>
     <listitem>
      <para>
-      Log Sequence Number, see <link linkend="datatype-pg-lsn"><type>pg_lsn</type></link>
-      and <link linkend="wal-internals">WAL Internals</link>.
+      <glossterm linkend="glossary-log-sequence-number">Log Sequence Number</glossterm>
      </para>
     </listitem>
    </varlistentry>
diff --git a/doc/src/sgml/glossary.sgml b/doc/src/sgml/glossary.sgml
index 5e24b31fa0..4fc240b180 100644
--- a/doc/src/sgml/glossary.sgml
+++ b/doc/src/sgml/glossary.sgml
@@ -1039,6 +1039,28 @@ <title>Glossary</title>
     </glossdef>
   </glossentry>
 
+  <glossentry id="glossary-log-sequence-number">
+   <glossterm>Log sequence number</glossterm>
+   <acronym>LSN</acronym>
+   <glossdef>
+    <para>
+     Byte offset into the <glossterm linkend="glossary-wal">WAL</glossterm>,
+     increasing monotonically with each new <glossterm
+     linkend="glossary-wal-record">WAL record</glossterm>.
+    </para>
+    <para>
+     For more information, see <link
+     linkend="datatype-pg-lsn"><type>pg_lsn</type></link> and <xref
+     linkend="wal-internals"/>.
+    </para>
+   </glossdef>
+  </glossentry>
+
+  <glossentry id="glossary-lsn">
+   <glossterm>LSN</glossterm>
+   <glosssee otherterm="glossary-log-sequence-number"/>
+  </glossentry>
+
   <glossentry>
    <glossterm>Master (server)</glossterm>
    <glosssee otherterm="glossary-primary-server" />
diff --git a/doc/src/sgml/stylesheet-common.xsl b/doc/src/sgml/stylesheet-common.xsl
index d2928f86eb..b7fb6c489a 100644
--- a/doc/src/sgml/stylesheet-common.xsl
+++ b/doc/src/sgml/stylesheet-common.xsl
@@ -28,6 +28,7 @@
 </xsl:param>
 
 <xsl:param name="callout.graphics" select="'0'"></xsl:param>
+<xsl:param name="glossentry.show.acronym">yes</xsl:param>
 <xsl:param name="toc.section.depth">2</xsl:param>
 <xsl:param name="linenumbering.extension" select="'0'"></xsl:param>
 <xsl:param name="section.autolabel" select="1"></xsl:param>
-- 
2.40.0

